SubselectOneToManyLoader (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.loader.collection
Class SubselectOneToManyLoader

    java.lang.Object
      org.hibernate.loader.Loader
          org.hibernate.loader.BasicLoader
              org.hibernate.loader.OuterJoinLoader
                  org.hibernate.loader.collection.CollectionLoader
                      org.hibernate.loader.collection.OneToManyLoader
                          org.hibernate.loader.collection.SubselectOneToManyLoader

All Implemented Interfaces:
  CollectionInitializer

    public class SubselectOneToManyLoader

extends OneToManyLoader

Implements subselect fetching for a one to many association

Field Summary

Fields inherited from class org.hibernate.loader.OuterJoinLoader
`aliases, collectionOwners, collectionPersisters, collectionSuffixes, lockModeArray, ownerAssociationTypes, owners, persisters, sql, suffixes`

Fields inherited from class org.hibernate.loader.BasicLoader
`NO_SUFFIX`

Constructor Summary
`SubselectOneToManyLoader(QueryableCollection persister, String subquery, Collection entityKeys, QueryParameters queryParameters, Map namedParameterLocMap, SessionFactoryImplementor factory, LoadQueryInfluencers loadQueryInfluencers)`

Method Summary
`int[]` | `getNamedParameterLocs(String name)`
`void` | `initialize(Serializable id, SessionImplementor session)` Initialize the given collection

Methods inherited from class org.hibernate.loader.collection.CollectionLoader
`getKeyType, isSubselectLoadingEnabled, toString`

Methods inherited from class org.hibernate.loader.OuterJoinLoader
`getAliases, getCollectionOwners, getCollectionPersisters, getCollectionSuffixes, getDialect, getEntityPersisters, getLoadQueryInfluencers, getLockModes, getLockOptions, getOwnerAssociationTypes, getOwners, getSQLString, getSuffixes, initFromWalker`

Methods inherited from class org.hibernate.loader.BasicLoader
`generateSuffixes, generateSuffixes, getCollectionAliases, getEntityAliases, postInstantiate`

Methods inherited from class org.hibernate.loader.Loader
`applyLocks, applyPostLoadLocks, areResultSetRowsTransformedImmediately, autoDiscoverTypes, bindNamedParameters, bindParameterValues, bindPositionalParameters, checkScrollability, doList, extractKeysFromResultSet, getCompositeKeyManyToOneTargetIndices, getEntityEagerPropertyFetches, getFactory, getQueryIdentifier, getResultColumnOrRow, getResultList, getResultRow, getResultRowAliases, getResultSet, hasSubselectLoadableCollections, includeInResultRow, isSingleRowLoader, list, loadCollection, loadCollectionBatch, loadCollectionSubselect, loadEntity, loadEntity, loadEntityBatch, loadSequentialRowsForward, loadSequentialRowsReverse, loadSingleRow, needsFetchingScroll, prepareQueryStatement, preprocessSQL, resolveResultTransformer, scroll, upgradeLocks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SubselectOneToManyLoader

    public SubselectOneToManyLoader(QueryableCollection persister,
                                    String subquery,
                                    Collection entityKeys,
                                    QueryParameters queryParameters,
                                    Map namedParameterLocMap,
                                    SessionFactoryImplementor factory,
                                    LoadQueryInfluencers loadQueryInfluencers)
                             throws MappingException

Throws:
  `MappingException`

Method Detail

### initialize

    public void initialize(Serializable id,
                           SessionImplementor session)
                    throws HibernateException

  Description copied from interface: `CollectionInitializer`
  Initialize the given collection

  Specified by:
    `initialize` in interface `CollectionInitializer`
  Overrides:
    `initialize` in class `CollectionLoader`
  Throws:
    `HibernateException`

### getNamedParameterLocs

    public int[] getNamedParameterLocs(String name)

  Overrides:
    `getNamedParameterLocs` in class `Loader`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.